com.microfocus.awm.meta.interfaces

## Interface PredefinedIcon

- All Superinterfaces:
    AWMIdentifiableObject, AWMObject, org.eclipse.emf.ecore.EObject, Icon, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    PredefinedIconImpl

      public interface PredefinedIcon
      extends Icon

  Generic icon type which must have a unique ID and a reference to one of the pre-defined icon images, which can be selected through the “predefined” attribute of the icon.

  The following features are supported:

  - `Predefined`
  See Also:
    `TaurusPackage.getPredefinedIcon()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EIcons` | `getPredefined()` Returns the value of the 'Predefined' attribute.
    `boolean` | `isSetPredefined()` Returns whether the value of the '`Predefined`' attribute is set.
    `void` | `setPredefined(EIcons value)` Sets the value of the '`Predefined`' attribute.
    `void` | `unsetPredefined()` Unsets the value of the '`Predefined`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPredefined

          EIcons getPredefined()

      Returns the value of the 'Predefined' attribute. The literals are from the enumeration `EIcons`.
      This attribute is used to select an icon. The selected icon image is visible in the model editor, as soon as the attribute value has been set.
      Returns:
        the value of the 'Predefined' attribute.
      See Also:
        `EIcons`, `isSetPredefined()`, `unsetPredefined()`, `setPredefined(EIcons)`, `TaurusPackage.getPredefinedIcon_Predefined()`

    - #### setPredefined

          void setPredefined(EIcons value)

      Sets the value of the '`Predefined`' attribute.
      Parameters:
        `value` - the new value of the 'Predefined' attribute.
      See Also:
        `EIcons`, `isSetPredefined()`, `unsetPredefined()`, `getPredefined()`

    - #### unsetPredefined

          void unsetPredefined()

      Unsets the value of the '`Predefined`' attribute.
      See Also:
        `isSetPredefined()`, `getPredefined()`, `setPredefined(EIcons)`

    - #### isSetPredefined

          boolean isSetPredefined()

      Returns whether the value of the '`Predefined`' attribute is set.
      Returns:
        whether the value of the 'Predefined' attribute is set.
      See Also:
        `unsetPredefined()`, `getPredefined()`, `setPredefined(EIcons)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.